com.groupdocs.conversion.handler

## Class ConversionProgressHandler

- java.lang.Object
- - com.aspose.ms.System.Delegate
  - - com.aspose.ms.System.MulticastDelegate
    - - com.groupdocs.conversion.handler.ConversionProgressHandler

-     public abstract class ConversionProgressHandler
      extends com.aspose.ms.System.MulticastDelegate

  Represents a method which will handle ConversionProgress event

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionProgressHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.aspose.ms.System.IAsyncResult` | `beginInvoke(ConversionProgressEventArgs args, com.aspose.ms.System.AsyncCallback callback, Object state)`
    `void` | `endInvoke(com.aspose.ms.System.IAsyncResult result)`
    `abstract void` | `invoke(ConversionProgressEventArgs args)`

    - ### Methods inherited from class com.aspose.ms.System.MulticastDelegate

      `combineImpl, getInvocationList, op_Equality, op_Inequality, removeImpl`

    - ### Methods inherited from class com.aspose.ms.System.Delegate

      `combine, combine, op_Equality, op_Inequality, peekOutRefParam, peekResult, pushOutRefParams, pushResult, remove, removeAll, setException, throwException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionProgressHandler

          public ConversionProgressHandler()

  - ### Method Detail

    - #### invoke

          public abstract void invoke(ConversionProgressEventArgs args)

    - #### beginInvoke

          public final com.aspose.ms.System.IAsyncResult beginInvoke(ConversionProgressEventArgs args,
                                                      com.aspose.ms.System.AsyncCallback callback,
                                                      Object state)

    - #### endInvoke

          public final void endInvoke(com.aspose.ms.System.IAsyncResult result)

Copyright © 2018. All rights reserved.